Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class DefaultInboundEndpoint

    java.lang.Object
      org.mule.endpoint.AbstractEndpoint
          org.mule.endpoint.DefaultInboundEndpoint

All Implemented Interfaces:
  Serializable, FlowConstructAware, ImmutableEndpoint, InboundEndpoint, Disposable, Startable, Stoppable, MessageSource, MessageRequesting

Direct Known Subclasses:
  AtomInboundEndpoint, DynamicRequestEndpoint.NullInboundEndpoint, RssInboundEndpoint

    public class DefaultInboundEndpoint

extends AbstractEndpoint
implements InboundEndpoint

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.endpoint.AbstractEndpoint
`logger, PROPERTY_PROCESS_SYNCHRONOUSLY, retryPolicyTemplate`

Fields inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`INITIAL_STATE_STARTED, INITIAL_STATE_STOPPED`

Fields inherited from interface org.mule.api.transport.MessageRequesting
`REQUEST_NO_WAIT, REQUEST_WAIT_INDEFINITELY`

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`DefaultInboundEndpoint(Connector connector, EndpointURI endpointUri, String name, Map properties, TransactionConfig transactionConfig, boolean deleteUnacceptedMessage, MessageExchangePattern messageExchangePattern, int responseTimeout, String initialState, String endpointEncoding, String endpointBuilderName, MuleContext muleContext, RetryPolicyTemplate retryPolicyTemplate, EndpointMessageProcessorChainFactory messageProcessorsFactory, List<MessageProcessor> messageProcessors, List<MessageProcessor> responseMessageProcessors, boolean disableTransportTransformer, String mimeType)`

Method Summary
`MessageProcessor` | `createMessageProcessorChain(FlowConstruct flowContruct)`
`void` | `dispose()` A lifecycle method where implementor should free up any resources.
`ExceptionListener` | `getExceptionListener()`
`protected MessageProcessor` | `getPolledMessageProcessor()`
`int` | `hashCode()`
`MuleMessage` | `request(long timeout)` Make a specific request to the underlying transport
`void` | `setExceptionListener(ExceptionListener exceptionListener)`
`void` | `setFlowConstruct(FlowConstruct flowConstruct)`
`void` | `setListener(MessageProcessor listener)` Set the MessageProcessor listener on a message source which will be invoked when a message is received or generated.
`void` | `start()`
`void` | `stop()`

Methods inherited from class org.mule.endpoint.AbstractEndpoint
`equal, equals, getAddress, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessorChain, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isProtocolSupported, isReadOnly, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.mule.api.endpoint.ImmutableEndpoint
`getAddress, getConnector, getEncoding, getEndpointBuilderName, getEndpointURI, getExchangePattern, getFilter, getInitialState, getMessageProcessors, getMessageProcessorsFactory, getMimeType, getMuleContext, getName, getProperties, getProperty, getProtocol, getResponseMessageProcessors, getResponseTimeout, getResponseTransformers, getRetryPolicyTemplate, getSecurityFilter, getTransactionConfig, getTransformers, isDeleteUnacceptedMessages, isDisableTransportTransformer, isProtocolSupported, isReadOnly`

Constructor Detail

### DefaultInboundEndpoint

    public DefaultInboundEndpoint(Connector connector,
                                  EndpointURI endpointUri,
                                  String name,
                                  Map properties,
                                  TransactionConfig transactionConfig,
                                  boolean deleteUnacceptedMessage,
                                  MessageExchangePattern messageExchangePattern,
                                  int responseTimeout,
                                  String initialState,
                                  String endpointEncoding,
                                  String endpointBuilderName,
                                  MuleContext muleContext,
                                  RetryPolicyTemplate retryPolicyTemplate,
                                  EndpointMessageProcessorChainFactory messageProcessorsFactory,
                                  List<MessageProcessor> messageProcessors,
                                  List<MessageProcessor> responseMessageProcessors,
                                  boolean disableTransportTransformer,
                                  String mimeType)

Method Detail

### request

    public MuleMessage request(long timeout)
                        throws Exception

  Description copied from interface: `MessageRequesting`
  Make a specific request to the underlying transport

  Specified by:
    `request` in interface `MessageRequesting`
  Parameters:
    `timeout` - the maximum time the operation should block before returning. The call should return immediately if there is data available. If no data becomes available before the timeout elapses, null will be returned
  Returns:
    the result of the request wrapped in a MuleMessage object. Null will be returned if no data was avaialable
  Throws:
    `Exception` - if the call to the underlying protocal causes an exception

### setListener

    public void setListener(MessageProcessor listener)

  Description copied from interface: `MessageSource`
  Set the MessageProcessor listener on a message source which will be invoked when a message is received or generated.

  Specified by:
    `setListener` in interface `MessageSource`

### start

    public void start()
               throws MuleException

  Specified by:
    `start` in interface `Startable`
  Throws:
    `MuleException`

### stop

    public void stop()
              throws MuleException

  Specified by:
    `stop` in interface `Stoppable`
  Throws:
    `MuleException`

### createMessageProcessorChain

    public MessageProcessor createMessageProcessorChain(FlowConstruct flowContruct)
                                                 throws MuleException

  Specified by:
    `createMessageProcessorChain` in class `AbstractEndpoint`
  Throws:
    `MuleException`

### getPolledMessageProcessor

    protected MessageProcessor getPolledMessageProcessor()

### setFlowConstruct

    public void setFlowConstruct(FlowConstruct flowConstruct)

  Specified by:
    `setFlowConstruct` in interface `FlowConstructAware`

### getExceptionListener

    public ExceptionListener getExceptionListener()

### setExceptionListener

    public void setExceptionListener(ExceptionListener exceptionListener)

### dispose

    public void dispose()

  Description copied from interface: `Disposable`
  A lifecycle method where implementor should free up any resources. If an exception is thrown it should just be logged and processing should continue. This method should not throw Runtime exceptions.

  Specified by:
    `dispose` in interface `Disposable`
  Overrides:
    `dispose` in class `AbstractEndpoint`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `AbstractEndpoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.